require_dependency "jobshop/application_controller"

module Jobshop
  class DashboardsController < ApplicationController
    def show
      @rfqs = current_organization.rfqs.verified
        .or(current_organization.rfqs.verifiable).order(created_at: :asc)
        .includes(:customer, :requested_by).references(:customer)
        .undelegated

      @low_priority_rfqs = current_organization.rfqs.unverifiable
        .order(created_at: :asc).undelegated

      @assigned_rfq_lines = current_user.rfq_line_assignments || []
    end
  end
end
