require_dependency "jobshop/application_controller"

module Jobshop
  class DepartmentsController < ApplicationController
    before_action :set_department, only: [:show, :edit, :update, :destroy]

    def index
      @departments = current_organization.departments.all
    end

    def show
    end

    def new
      @department = current_organization.departments.new
    end

    def edit
    end

    def create
      @department = current_organization.departments.new(department_params)

      if @department.save
        redirect_to @department, notice: "Created Department"
      else
        render :new
      end
    end

    def update
      if @department.update(department_params)
        redirect_to @department, notice: "Updated Department"
      else
        render :edit
      end
    end

    def destroy
      @department.destroy
      redirect_to departments_url, notice: "Destroyed Department"
    end

    private def set_department
      @department = current_organization.departments.find(params[:id])
    end

    private def department_params
      params.require(:department).permit(:name)
    end
  end
end
