require_dependency "jobshop/application_controller"

module Jobshop
  class OrganizationsController < ApplicationController
    before_action :set_organization, only: %i[ show edit update ]

    def show
    end

    def edit
    end

    def update
      if @organization.update(organization_params)
        redirect_to organization_path, notice: "Updated Organization"
      else
        render :edit
      end
    end

    private def set_organization
      @organization = Organization.find(current_organization.id)
    end

    private def organization_params
      params.fetch(:organization, {})
    end
  end
end
