require_dependency "jobshop/application_controller"

module Jobshop
  class RolesController < ApplicationController
    before_action :set_role, only: [:show, :edit, :update, :destroy]

    def index
      @roles = current_organization.roles.all
    end

    def show
    end

    def new
      @role = current_organization.roles.new
    end

    def edit
    end

    def create
      @role = current_organization.roles.new(role_params)

      if @role.save
        redirect_to @role, notice: "Created Role"
      else
        render :new
      end
    end

    def update
      if @role.update(role_params)
        redirect_to @role, notice: "Updated Role"
      else
        render :edit
      end
    end

    def destroy
      @role.destroy
      redirect_to roles_url, notice: "Destroyed Role"
    end

    private def set_role
      @role = current_organization.roles.find(params[:id])
    end

    private def role_params
      params.require(:role).permit(:name)
    end
  end
end
