# frozen_string_literal: true

require "active_support/concern"

module Jobshop
  module Auditing
    extend ActiveSupport::Concern

    included do
      audited_class = self

      self::History = Class.new(ApplicationRecord) do
        private_class_method :new, :create

        self.table_name = "#{audited_class.table_name}_history"
        self.primary_key = audited_class.primary_key
      end
    end
  end
end
