# frozen_string_literal: true

module Jobshop
  class Collection < ApplicationRecord
    belongs_to :organization, inverse_of: :collections

    has_many :things, inverse_of: :collection

    validates :name, presence: true,
      uniqueness: { scope: :organization_id, case_sensitive: false }
  end
end
