# frozen_string_literal: true

module Jobshop # :nodoc:
  class Customer < ApplicationRecord
    include Auditing

    belongs_to :organization, -> { readonly }, inverse_of: :customers

    belongs_to :category, inverse_of: :customers

    has_many :contacts, inverse_of: :customer

    has_many :orders, inverse_of: :customer

    has_many :rfqs, inverse_of: :customer

    validates :name, presence: true
  end
end
