# frozen_string_literal: true

module Jobshop
  class Department::Assignment < ApplicationRecord
    belongs_to :organization, -> { readonly }

    belongs_to :department, inverse_of: :assignments

    belongs_to :employee, inverse_of: :department_assignments

    before_validation(on: :create) do
      self.organization ||= department&.organization || employee&.organization
    end
  end
end
