# frozen_string_literal: true

module Jobshop
  class Inspection::Criterion < ApplicationRecord
    belongs_to :organization, -> { readonly }

    belongs_to :report, -> { readonly }

    belongs_to :criterion, polymorphic: true, optional: true,
      dependent: :destroy

    before_validation(on: :create) do
      self.organization ||= report.organization
    end

    delegate :pass?, :random, :unit, to: :criterion
  end
end
