# frozen_string_literal: true

module Jobshop
  class Product < ApplicationRecord
    belongs_to :organization, -> { readonly }, inverse_of: :products

    has_many :orders, inverse_of: :product

    has_one :routing_process, inverse_of: :product

    has_many :routing_steps, through: :routing_process

    validates :name, presence: true
  end
end
