# frozen_string_literal: true

module Jobshop
  class RFQ::Line::Assignment < ApplicationRecord
    include Wisper::Publisher

    belongs_to :organization, -> { readonly }

    belongs_to :rfq, -> { readonly }

    belongs_to :line, -> { readonly }, inverse_of: :assignments

    belongs_to :assigned_to, class_name: "Jobshop::Employee",
      inverse_of: :rfq_line_assignments

    belongs_to :assigned_by, class_name: "Jobshop::Employee"

    before_validation(on: :create) do
      self.organization ||= line.organization
      self.rfq ||= line.rfq

      broadcast(:set_assigned_by, self)
    end
  end
end
