# frozen_string_literal: true

module Jobshop
  class RFQ::Line::Quantity < ApplicationRecord
    belongs_to :organization, -> { readonly }

    belongs_to :rfq, -> { readonly }

    belongs_to :line, -> { readonly }, inverse_of: :quantities

    validates :quantity, presence: true
    validates :quantity, numericality: { greater_than: 0 }, on: :create

    before_validation(on: :create) do
      self.organization ||= line.organization
      self.rfq ||= line.rfq
    end

    after_update do
      destroy if quantity == 0
    end
  end
end
