# frozen_string_literal: true

require "jobshop/helpers/migration.rb"

class CreateUsers < ActiveRecord::Migration[5.2]
  include Jobshop::Helpers::Migration

  def change
    create_table_with_auditing :jobshop_users do |t|
      t.references :organization, type: :uuid, null: false,
        foreign_key: { to_table: :jobshop_organizations }

      t.index %i[ organization_id id ], unique: true

      t.citext :email, null: false

      t.index %i[ organization_id email ], unique: true

      t.string :encrypted_password, null: false, default: ""

      t.string :reset_password_token, index: { unique: true }

      t.datetime :reset_password_sent_at

      t.timestamps
    end
  end
end
