# frozen_string_literal: true

require "jobshop/helpers/migration.rb"

class CreatePlaces < ActiveRecord::Migration[5.2]
  include Jobshop::Helpers::Migration

  def change
    create_table_with_auditing :jobshop_places, primary_key: %i[
      organization_id id
    ]do |t|
      t.citext :name, null: false
      t.index %i[ organization_id name ], unique: true

      t.timestamps
    end

    fk_organization :jobshop_places
  end
end
