# frozen_string_literal: true

require "jobshop/helpers/migration.rb"

class CreateProducts < ActiveRecord::Migration[5.2]
  include Jobshop::Helpers::Migration

  def change
    create_table_with_auditing :jobshop_products, primary_key: %i[
      organization_id id
    ] do |t|
      t.citext :name, null: false
      t.index %i[ organization_id name ], unique: true

      t.text :description

      t.timestamps
    end

    fk_organization :jobshop_products
  end
end
