# frozen_string_literal: true

require "jobshop/helpers/migration.rb"

class CreateMailmen < ActiveRecord::Migration[5.2]
  include Jobshop::Helpers::Migration

  def change
    create_table_with_auditing :jobshop_mailmen, primary_key: %i[
      organization_id id
    ] do |t|
      t.citext :address, null: false
      t.index %i[ organization_id address ], unique: true

      t.string :handler_type, null: false

      t.timestamps
    end

    execute <<~SQL
      ALTER TABLE jobshop_mailmen
        ADD CONSTRAINT valid_handler_type
          CHECK (handler_type IN (
            'Jobshop::Mailroom::RFQHandler'
          ))
    SQL

    fk_organization :jobshop_mailmen
  end
end
