# frozen_string_literal: true

#
# Jobshop - An Open Source Manufacturing Execution System
# Copyright (C) 2019  Frank J. Mattia
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

require "active_support"
require "jobshop/version"
require "jobshop/configuration"
require "jobshop/engine"

module Jobshop
  extend ActiveSupport::Autoload

  module Mailroom
    extend ActiveSupport::Autoload

    autoload :BaseHandler

    eager_autoload do
      autoload :RFQHandler
      autoload :NullHandler
    end
  end

  def self.eager_load!
    super
    Jobshop::Mailroom.eager_load!
  end
end
