# frozen_string_literal: true

require "generators/jobshop/app/app_generator"

require "jobshop/cli/base"

module Jobshop
  module CLI
    class AppGenerator < Base
      default_task :help

      desc "help", "Display long help"
      def help
        self.class.command_help(Thor::Base.shell.new, "new")
      end

      desc "new APP_PATH [options]", "Create Jobshop Application Host"
      long_desc <<~DESC
        Options:

        All the the normal options to `rails new` are applicable but the
        following options may not be changed:

        --database=postgresql
        --skip-coffee
        --skip-javascript
        --skip-sprockets
        --skip-turbolinks
      DESC
      def new(*args)
        Jobshop::Generators::AppGenerator.start(
          args, jobshop_options: {
            database: "postgresql",
            skip_coffee: true,
            skip_javascript: true,
            skip_sprockets: true,
            skip_turbolinks: true
          }
        )
      end
    end
  end
end
